Index: trunk/src/SIMULS_IRCAAM/carte_eof_noaa_8_28.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/carte_eof_noaa_8_28.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/carte_eof_noaa_8_28.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 load eof_noaa_annuel_8_28.mat;
@@ -11,5 +13,6 @@
 lat=[-10:2.5:30];
 
-figure(1); orient('landscape');
+figure(1);
+orient('landscape');
 subplot(3,2,1);
 palette;
@@ -30,11 +33,11 @@
 colorbar;
 title('OLR EOF1','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-clear carte1 x y a b carte coco; 
+clear carte1 x y a b carte coco;
 carte1=C(:,424);
 carte=reshape(carte1,25,17);
@@ -60,13 +63,13 @@
 
 contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
-colorbar; 
+colorbar;
 axis([-30 30 -10 30]);
 title('OLR EOF2','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
 
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 clear carte1 x y a b carte coco;
 carte1=C(:,423);
@@ -76,5 +79,5 @@
 
 % defintion des lat et lon
-lon=[-30:2.5:30]'; 
+lon=[-30:2.5:30]';
 lat=[-10:2.5:30];
 
@@ -98,10 +101,9 @@
 colorbar;
 title('OLR EOF3','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-
-%%%%%%%%%%%%%%%%%%%%%%%%
 
 clear carte1 x y a b carte coco;
@@ -112,5 +114,5 @@
 
 % defintion des lat et lon
-lon=[-30:2.5:30]'; 
+lon=[-30:2.5:30]';
 lat=[-10:2.5:30];
 
@@ -133,5 +135,6 @@
 colorbar;
 title('OLR EOF4','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
@@ -156,5 +159,5 @@
 bar(x,vecteurs,'LineStyle','none')
 
-axis([0.5 20.5 0 70]); 
+axis([0.5 20.5 0 70]);
 set (gca,'YTick',[0:10:50],'YTickLabel',[0:10:50],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[2:2:20],'XTickLabel',[2:2:20],'fontname','Arial','fontsize',6);
Index: trunk/src/SIMULS_IRCAAM/carte_eof_olr_noaa_jas.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/carte_eof_olr_noaa_jas.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/carte_eof_olr_noaa_jas.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 cd('/usr/temp/seglod/mode_sahelien/')
@@ -13,5 +15,6 @@
 lat=[-10:2.5:30];
 
-figure(1); orient('landscape');
+figure(1);
+orient('landscape');
 subplot(3,2,1);
 palette;
@@ -32,11 +35,11 @@
 colorbar;
 title('OLR EOF1','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-clear carte1 x y a b carte coco; 
+clear carte1 x y a b carte coco;
 carte1=C(:,424);
 carte=reshape(carte1,25,17);
@@ -62,13 +65,13 @@
 
 contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
-colorbar; 
+colorbar;
 
 title('OLR EOF2','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
 
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 clear carte1 x y a b carte coco;
 carte1=C(:,423);
@@ -78,5 +81,5 @@
 
 % defintion des lat et lon
-lon=[-30:2.5:30]'; 
+lon=[-30:2.5:30]';
 lat=[-10:2.5:30];
 
@@ -99,10 +102,9 @@
 colorbar;
 title('OLR EOF3','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-
-%%%%%%%%%%%%%%%%%%%%%%%%
 
 clear carte1 x y a b carte coco;
@@ -113,5 +115,5 @@
 
 % defintion des lat et lon
-lon=[-30:2.5:30]'; 
+lon=[-30:2.5:30]';
 lat=[-10:2.5:30];
 
@@ -134,5 +136,6 @@
 colorbar;
 title('OLR EOF4','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
@@ -142,5 +145,4 @@
 
 
-%********************
 subplot(3,2,4);
 vaude=0;
@@ -156,5 +158,5 @@
 
 bar(x,vecteurs,'LineStyle','none')
-axis([0.5 20.5 0 50]); 
+axis([0.5 20.5 0 50]);
 set (gca,'YTick',[0:10:50],'YTickLabel',[0:10:50],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[2:2:20],'XTickLabel',[2:2:20],'fontname','Arial','fontsize',6);
Index: trunk/src/SIMULS_IRCAAM/carte_eof_olr_noaa_jas_20.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/carte_eof_olr_noaa_jas_20.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/carte_eof_olr_noaa_jas_20.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 load eof_olr_noaa_annuel_jas_1020.mat;
@@ -11,5 +13,6 @@
 lat=[-10:2.5:20];
 
-figure(1); orient('landscape');
+figure(1);
+orient('landscape');
 subplot(3,2,1);
 palette;
@@ -30,11 +33,11 @@
 colorbar;
 title('OLR EOF1','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-clear carte1 x y a b carte coco; 
+clear carte1 x y a b carte coco;
 carte1=C(:,324);
 carte=reshape(carte1,25,13);
@@ -42,5 +45,5 @@
 
 clear carte1;
-lon=[-30:2.5:30]'; 
+lon=[-30:2.5:30]';
 lat=[-10:2.5:20];
 
@@ -60,13 +63,13 @@
 
 contourf(lon,lat,-carte,[-0.2:0.02:0.2],'LineStyle','none');
-colorbar; 
+colorbar;
 axis([-30 30 -10 30]);
 title('OLR EOF2','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
 
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 clear carte1 x y a b carte coco;
 carte1=C(:,323);
@@ -76,5 +79,5 @@
 
 % defintion des lat et lon
-lon=[-30:2.5:30]'; 
+lon=[-30:2.5:30]';
 lat=[-10:2.5:20];
 
@@ -98,10 +101,9 @@
 colorbar;
 title('OLR EOF3','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-
-%%%%%%%%%%%%%%%%%%%%%%%%
 
 clear carte1 x y a b carte coco;
@@ -112,5 +114,5 @@
 
 % defintion des lat et lon
-lon=[-30:2.5:30]'; 
+lon=[-30:2.5:30]';
 lat=[-10:2.5:20];
 
@@ -133,5 +135,6 @@
 colorbar;
 title('OLR EOF4','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:20],'YTickLabel',['10S';'  0';'10N';'20N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
@@ -156,5 +159,5 @@
 bar(x,vecteurs,'LineStyle','none')
 
-axis([0.5 20.5 0 50]); 
+axis([0.5 20.5 0 50]);
 set (gca,'YTick',[0:10:50],'YTickLabel',[0:10:50],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[2:2:20],'XTickLabel',[2:2:20],'fontname','Arial','fontsize',6);
Index: trunk/src/SIMULS_IRCAAM/carte_eof_pluie_AFR_annuel.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/carte_eof_pluie_AFR_annuel.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/carte_eof_pluie_AFR_annuel.m	(revision 16)
@@ -1,2 +1,4 @@
+%
+
 clear;
 load eof_pluie_annuel_AFR.mat;
@@ -13,5 +15,6 @@
 lat=lat(29:43)';
 
-figure(1); orient('landscape');
+figure(1);
+orient('landscape');
 subplot(3,2,1);
 palette;
@@ -31,11 +34,11 @@
 colorbar;
 title('EOF1 OLR AFR annuel','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
-clear carte1 x y a b carte coco; 
+clear carte1 x y a b carte coco;
 carte1=C(:,359);
 carte=reshape(carte1,24,15);
@@ -62,10 +65,10 @@
 
 title('EOF2 OLR AFR annuel','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
 
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 clear carte1 x y a b carte coco;
 carte1=C(:,358);
@@ -91,12 +94,10 @@
 colorbar;
 title('EOF3 OLR AFR annuel','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
 
-
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 clear carte1 x y a b carte coco;
 carte1=C(:,357);
@@ -122,10 +123,9 @@
 colorbar;
 title('EOF4 OLR AFR annuel','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-
-%%%%%%%%%%
 
 subplot(3,2,4);
@@ -142,12 +142,8 @@
 
 bar(x,vecteurs,'LineStyle','none')
-axis([0.5 20.5 0 25]); 
+axis([0.5 20.5 0 25]);
 set (gca,'YTick',[0:5:25],'YTickLabel',[0:5:25],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[2:2:20],'XTickLabel',[2:2:20],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
 
-
-
-
-
 print -depsc2 resultats_eof_AFR_annuel.eps;
Index: trunk/src/SIMULS_IRCAAM/climato_olr_AFR.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/climato_olr_AFR.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/climato_olr_AFR.m	(revision 16)
@@ -1,7 +1,8 @@
+%
+
 close all;
 clear;
 
 olr=zeros(122,29,64,128);
-
 
 ncload('rlut_d.AfNQIVIV.197106-09.nc','rlut');
@@ -97,8 +98,11 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr
-olr=olr1; clear olr1;
+olr=olr1;
+clear olr1;
 olr=olr(:,:,29:43,54:77);
-olr1(:,:,:)=mean(olr); clear olr;
-olr2(:,:)=mean(olr1); clear olr1;
+olr1(:,:,:)=mean(olr);
+clear olr;
+olr2(:,:)=mean(olr1);
+clear olr1;
 
 ncload('rlut_d.AfNQIVIV.199606-09.nc','lat','lon')
@@ -106,5 +110,7 @@
 lon=lon(54:77);
 lat=lat(29:43)';
-figure(1); orient('landscape'); subplot(3,2,1);
+figure(1);
+orient('landscape');
+subplot(3,2,1);
 palette;
 olr2(1,1)=149.999;
@@ -114,15 +120,19 @@
 colorbar;
 title('OLR mean JJAS AFR nudging','Fontsize',8);
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-axis equal; axis([-30 30 -10 30]);
+axis equal;
+axis([-30 30 -10 30]);
 climato_olr_CTL;
 title('OLR mean JJAS no nudging','Fontsize',8);
-axis equal; axis([-30 30 -10 30]);
+axis equal;
+axis([-30 30 -10 30]);
 climato_olr_noaa;
 title('OLR mean JJAS NOAA','Fontsize',8);
-axis equal; axis([-30 30 -10 30]);
+axis equal;
+axis([-30 30 -10 30]);
 
 print -depsc2 planel_climato_olr.eps
Index: trunk/src/SIMULS_IRCAAM/climato_olr_CTL.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/climato_olr_CTL.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/climato_olr_CTL.m	(revision 16)
@@ -1,2 +1,3 @@
+%
 
 clear;
@@ -98,8 +99,11 @@
 olr1(:,:,:,65:128)=olr(:,:,:,1:64);
 clear olr
-olr=olr1; clear olr1;
+olr=olr1;
+clear olr1;
 olr=olr(:,:,29:43,54:77);
-olr1(:,:,:)=mean(olr); clear olr;
-olr2(:,:)=mean(olr1); clear olr1;
+olr1(:,:,:)=mean(olr);
+clear olr;
+olr2(:,:)=mean(olr1);
+clear olr1;
 
 ncload('rlut_d.AfNQIVIV.199606-09.nc','lat','lon')
@@ -114,7 +118,7 @@
 colorbar;
 
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-
Index: trunk/src/SIMULS_IRCAAM/climato_olr_noaa.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/climato_olr_noaa.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/climato_olr_noaa.m	(revision 16)
@@ -1,5 +1,6 @@
+%
 
 % initialisation
-clear; 
+clear;
 
 cd('..');
@@ -26,5 +27,6 @@
 olr1=zeros(siz,25,144);
 olr1(:,:,1:72)=olr(:,:,73:144);
-olr1(:,:,73:144)=olr(:,:,1:72); clear olr;
+olr1(:,:,73:144)=olr(:,:,1:72);
+clear olr;
 
 % on permture le temps et l'espce
@@ -33,8 +35,5 @@
 olr1=permute(olr1, [2 3 1]);
 
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 % on met sous la forme longitude latitude jour
-
 
 % on selectionne les mois d ete (attention aux annees bixestiles!)
@@ -137,6 +136,8 @@
 olr=permute(olr,[3 4 1 2]);
 clear olr1
-olr1(:,:,:)=mean(olr); clear olr;
-olr2(:,:)=mean(olr1); clear olr1;
+olr1(:,:,:)=mean(olr);
+clear olr;
+olr2(:,:)=mean(olr1);
+clear olr1;
 cd('..');
 ncload('olr.day.mean.nc','lon','lat');
@@ -151,10 +152,9 @@
 olr2(1,2)=350.001;
 
-
 contourf(lon,lat,olr2,[150:10:350],'LineStyle','none');
 colorbar;
-hold on; cartemonde;
+hold on;
+cartemonde;
 set (gca,'YTick',[-10:10:30],'YTickLabel',['10S';'  0';'10N';'20N';'30N'],'fontname','Arial','fontsize',6);
 set (gca,'XTick',[-30:10:30],'XTickLabel',['30W';'20W';'10W';'  0';'10E';'20E';'30E'],'fontname','Arial','fontsize',6);
 set (gca,'tickDir','out');
-
Index: trunk/src/SIMULS_IRCAAM/composite_hgt500_AFR_eof1_1030.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_hgt500_AFR_eof1_1030.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_hgt500_AFR_eof1_1030.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 
 load hgt500_afr.mat
@@ -12,17 +15,21 @@
 hgt500b(:,:,:,1:64)=hgt500(:,:,:,65:128);
 hgt500b(:,:,:,65:128)=hgt500(:,:,:,1:64);
-clear hgt500;  hgt500=hgt500b; clear hgt500b
+clear hgt500;
+hgt500=hgt500b;
+clear hgt500b
 
 % on desaisonalise
 hgt1=permute(hgt500,[2 1 3 4]);
-hgt2(:,:,:)=nanmean(hgt1); clear hgt1;
+hgt2(:,:,:)=nanmean(hgt1);
+clear hgt1;
 hgt3=reshape(hgt500, 3538,64,128);
-hgt4(:,:)=nanmean(hgt3); clear hgt3;
+hgt4(:,:)=nanmean(hgt3);
+clear hgt3;
 
 for a=1:122;
    for b=1:28;
       for c=1:37;
-         for d=1:128; 
-             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));                
+         for d=1:128;
+             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));
          end;
       end;
@@ -31,36 +38,38 @@
 clear hgt2 hgt4;
 
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 load eof1_AFR_1030.txt
 
 % on met sous la forme annee mois
-hgt500_eof=reshape(eof1_AFR_1030,122,29); clear eof1_AFR_1030;
+hgt500_eof=reshape(eof1_AFR_1030,122,29);
+clear eof1_AFR_1030;
 
 % on calcule l ecart type sur la serie temporelle de l HGT500
-k=122*29; 
+k=122*29;
 hgt500bis=reshape(hgt500_eof,k,1);
-hgt500bis=std(hgt500bis); 
+hgt500bis=std(hgt500bis);
 
 % intialisation des tableaux
-hgt500_filtre_compomax=NaN*ones(50,31,64,128); 
+hgt500_filtre_compomax=NaN*ones(50,31,64,128);
 hgt500_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:29; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:29;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=hgt500_eof(b,a)-hgt500_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && hgt500_eof(b,a)>(hgt500bis)); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && hgt500_eof(b,a)>(hgt500bis));
             compteurmax=compteurmax+1;
           hgt500_filtre_compomax(compteurmax,1,:,:)=hgt500(b-20,a,:,:);
@@ -97,5 +106,5 @@
             hgt500_filtre_compomax(compteurmax,30,:,:)=hgt500(b+9,a,:,:);
             hgt500_filtre_compomax(compteurmax,31,:,:)=hgt500(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && hgt500_eof(b,a)<(hgt500bis));
             compteurmin=compteurmin+1;
@@ -136,5 +145,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 hgt500_filtre_compomin=hgt500_filtre_compomin(1:compteurmin,:,:,:);
@@ -143,12 +152,15 @@
 % on fait la somme des valeurs de hgt500_filtreentiel sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin); clear hgt500_filtre_compomin;
-hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax); clear hgt500_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin);
+clear hgt500_filtre_compomin;
+hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax);
+clear hgt500_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -176,5 +188,5 @@
        delta_hgt500_filtre_min(1,2)=100.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -184,24 +196,26 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'ytick',[-80:40:80],'yticklabel',[-80:40:80],'fontname','Arial','fontsize',5);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 20 80]);
-       if e==7;      
-      title('HGT500 composite EOF1 1030j simulation AFR ','fontsize',8) ;
+       if e==7;
+          title('HGT500 composite EOF1 1030j simulation AFR ','fontsize',8) ;
        end
        text(-270,40,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_afr_eof1_1030a.eps
 
-figure(2); orient('landscape');
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -229,5 +243,5 @@
        delta_hgt500_filtre_min(1,2)=100.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -237,11 +251,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'ytick',[-80:40:80],'yticklabel',[-80:40:80],'fontname','Arial','fontsize',5);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -252,8 +267,5 @@
        text(-270,40,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_afr_eof1_1030b.eps
-
-
-
Index: trunk/src/SIMULS_IRCAAM/composite_hgt500_AFR_eof1_30100.m
===================================================================
--- trunk/src/SIMULS_IRCAAM/composite_hgt500_AFR_eof1_30100.m	(revision 15)
+++ trunk/src/SIMULS_IRCAAM/composite_hgt500_AFR_eof1_30100.m	(revision 16)
@@ -1,4 +1,7 @@
+%
+
 % initialisation
-clear; close all;
+clear;
+close all;
 
 load hgt500_afr.mat
@@ -12,17 +15,21 @@
 hgt500b(:,:,:,1:64)=hgt500(:,:,:,65:128);
 hgt500b(:,:,:,65:128)=hgt500(:,:,:,1:64);
-clear hgt500;  hgt500=hgt500b; clear hgt500b
+clear hgt500;
+hgt500=hgt500b;
+clear hgt500b
 
 % on desaisonalise
 hgt1=permute(hgt500,[2 1 3 4]);
-hgt2(:,:,:)=nanmean(hgt1); clear hgt1;
+hgt2(:,:,:)=nanmean(hgt1);
+clear hgt1;
 hgt3=reshape(hgt500, 3538,64,128);
-hgt4(:,:)=nanmean(hgt3); clear hgt3;
+hgt4(:,:)=nanmean(hgt3);
+clear hgt3;
 
 for a=1:122;
    for b=1:28;
       for c=1:37;
-         for d=1:128; 
-             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));                
+         for d=1:128;
+             hgt500(a,b,c,d)=hgt500(a,b,c,d)-(hgt2(a,c,d)-hgt4(c,d));
          end;
       end;
@@ -31,36 +38,38 @@
 clear hgt2 hgt4;
 
-
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-
 load eof1_AFR_30100.txt
 
 % on met sous la forme annee mois
-hgt500_eof=reshape(eof1_AFR_30100,122,29); clear eof1_AFR_30100;
+hgt500_eof=reshape(eof1_AFR_30100,122,29);
+clear eof1_AFR_30100;
 
 % on calcule l ecart type sur la serie temporelle de l HGT500
-k=122*29; 
+k=122*29;
 hgt500bis=reshape(hgt500_eof,k,1);
-hgt500bis=std(hgt500bis); 
+hgt500bis=std(hgt500bis);
 
 % intialisation des tableaux
-hgt500_filtre_compomax=NaN*ones(50,31,64,128); 
+hgt500_filtre_compomax=NaN*ones(50,31,64,128);
 hgt500_filtre_compomin=NaN*ones(50,31,64,128);
 
-compteurmax=0; 
+compteurmax=0;
 compteurmin=0;
 
-for a=1:29; % boucle sur les annees
-   clear delta; 
+% boucle sur les annees
+for a=1:29;
+   clear delta;
    delta=zeros(122,1);
-   for b=1:122; % boucle sur les jours : on prepare avant   
+   % boucle sur les jours : on prepare avant
+   for b=1:122;
         if b>1;
             delta(b)=hgt500_eof(b,a)-hgt500_eof(b-1,a);
         end;
    end;
-   for b=1:122; % boucle sur les jours
-      if (b>20 && b<112); % 1ere condition (laisser une marge de 10) 
-% cas 1 : max deltas apres negetifs et deltas avant postifs   
-         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && hgt500_eof(b,a)>(hgt500bis)); 
+   % boucle sur les jours
+   for b=1:122;
+      % 1ere condition (laisser une marge de 10)
+      if (b>20 && b<112);
+% cas 1 : max deltas apres negetifs et deltas avant postifs
+         if (delta(b+1)<0 && delta(b)<0 && delta(b-1)>0 && delta(b-2)>0 && hgt500_eof(b,a)>(hgt500bis));
             compteurmax=compteurmax+1;
           hgt500_filtre_compomax(compteurmax,1,:,:)=hgt500(b-20,a,:,:);
@@ -97,5 +106,5 @@
             hgt500_filtre_compomax(compteurmax,30,:,:)=hgt500(b+9,a,:,:);
             hgt500_filtre_compomax(compteurmax,31,:,:)=hgt500(b+10,a,:,:);
-% cas 2 : min deltas apres positifs et deltas avant negatifs   
+% cas 2 : min deltas apres positifs et deltas avant negatifs
          elseif (delta(b+1)>0 && delta(b)>0 && delta(b-1)<0 && delta(b-2)<0 && hgt500_eof(b,a)<(hgt500bis));
             compteurmin=compteurmin+1;
@@ -136,5 +145,5 @@
          end;
       end;
-   end;         
+   end;
 end;
 hgt500_filtre_compomin=hgt500_filtre_compomin(1:compteurmin,:,:,:);
@@ -143,12 +152,15 @@
 % on fait la somme des valeurs de hgt500_filtreentiel sur le nbre d occurences
 % on obtent un tableau de la forme (jours-avant-apres,lon,lat)
-hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin); clear hgt500_filtre_compomin;
-hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax); clear hgt500_filtre_compomax;
-
-x=[-10:1:10]'; %'
-
-figure(1); orient('landscape');
-
-lat=lat'; 
+hgt500_filtre_compomin1(:,:,:)=mean(hgt500_filtre_compomin);
+clear hgt500_filtre_compomin;
+hgt500_filtre_compomax1(:,:,:)=mean(hgt500_filtre_compomax);
+clear hgt500_filtre_compomax;
+
+x=[-10:1:10]';
+
+figure(1);
+orient('landscape');
+
+lat=lat';
 lon=lon-180;
 for e=1:7;
@@ -176,5 +188,5 @@
        delta_hgt500_filtre_min(1,2)=100.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -184,24 +196,26 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'ytick',[-80:40:80],'yticklabel',[-80:40:80],'fontname','Arial','fontsize',5);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
        axis([-180 180 20 80]);
-       if e==7;      
-      title('HGT500 composite EOF1 30100j simulation AFR ','fontsize',8) ;
+       if e==7;
+          title('HGT500 composite EOF1 30100j simulation AFR ','fontsize',8) ;
        end
        text(-270,40,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_afr_eof1_30100a.eps
 
-figure(2); orient('landscape');
+figure(2);
+orient('landscape');
 
 for e=1:7;
@@ -229,5 +243,5 @@
        delta_hgt500_filtre_min(1,2)=100.0001;
        fin=-30+24*2.5;
-       
+
        clear fin
        fin=-10+16*2.5;
@@ -237,11 +251,12 @@
        else
       set (gca,'XTick',[-180:60:180],'XTickLabel',[' ';' ';' ';' ';' ';' '],'fontname','Arial','fontsize',6);
-       end       
+       end
        set (gca,'YTick',[30:10:70],'YTickLabel',['30N';'40N';'50N';'60N';'70N'],'fontname','Arial','fontsize',6);
        if e==4;
-          co=colorbar;            
+          co=colorbar;
           set(co,'ytick',[-80:40:80],'yticklabel',[-80:40:80],'fontname','Arial','fontsize',5);
        end;
-       hold on; cartemonde1;
+       hold on;
+       cartemonde1;
        set (gca,'tickDir','out');
        axis equal
@@ -252,8 +267,5 @@
        text(-270,40,['day = ',num2str(f-21)],'fontname','Arial','fontsize',10);
        pos_vert=e/10;
-       set (gca,'position',[0.2 pos_vert 0.5 0.1]) 
+       set (gca,'position',[0.2 pos_vert 0.5 0.1])
 end;
 print -depsc2 composite_hgt500_afr_eof1_30100b.eps
-
-
-
